## Name

Minesweeper

## Synopsis

```**sh
$ Minesweeper
```

## Description

The goal is to find all the mines without detonating them.

The player reveals what is underneath a tile by clicking on it. If it is a mine underneath the player loses. Otherwise the tile will show how many neighbouring mines there are to the tile. If there are no neighboring mines, all the neighboring tiles are revealed recursively.

The player can mark a tile as being a mine by right-clicking the tile. This is then shown with a flag.
